GET IdentificationsProviders?name={name}&page={page}&pageSize={pageSize}&orderField={orderField}&orderType={orderType}

Gets all the identifications providers, represented as IdentificationsProvicersDto.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
name

Filter for the provider name of the identifications providers, null for all (optional, null by default).

string

None.

page

The page (optional, 1 by default).

integer

Default value is 1

pageSize

The page size (optional, 50 by default).

integer

Default value is 50

orderField

The order field (optional, "label" by default).

string

Default value is name

orderType

The order type (optional, "asc" by default).

string

Default value is asc

Body Parameters

None.

Response Information

Resource Description

A collection of contracts dtos.

Collection of IdentificationsProviderDto
NameDescriptionTypeAdditional information
Id

globally unique identifier

None.

IdNetwork

globally unique identifier

None.

Name

string

None.

Email

string

None.

EmailTemplate

string

None.

SettingExportFiles

string

None.

IdentificationsPerFile

integer

None.

SendDeliveryLabel

boolean

None.

NotifyGrouped

boolean

None.

TemplateFileName

string

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "Id": "955b04eb-4cea-47ec-9865-8c6e3003678c",
    "IdNetwork": "180e9f95-4614-4855-a54f-1a15051931c3",
    "Name": "sample string 3",
    "Email": "sample string 4",
    "EmailTemplate": "sample string 5",
    "SettingExportFiles": "sample string 6",
    "IdentificationsPerFile": 1,
    "SendDeliveryLabel": true,
    "NotifyGrouped": true,
    "TemplateFileName": "sample string 9"
  },
  {
    "Id": "955b04eb-4cea-47ec-9865-8c6e3003678c",
    "IdNetwork": "180e9f95-4614-4855-a54f-1a15051931c3",
    "Name": "sample string 3",
    "Email": "sample string 4",
    "EmailTemplate": "sample string 5",
    "SettingExportFiles": "sample string 6",
    "IdentificationsPerFile": 1,
    "SendDeliveryLabel": true,
    "NotifyGrouped": true,
    "TemplateFileName": "sample string 9"
  }
]

application/xml, text/xml

Sample:
<ArrayOfIdentificationsProviderDto xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Ationet.Model">
  <IdentificationsProviderDto>
    <Email>sample string 4</Email>
    <EmailTemplate>sample string 5</EmailTemplate>
    <Id>955b04eb-4cea-47ec-9865-8c6e3003678c</Id>
    <IdNetwork>180e9f95-4614-4855-a54f-1a15051931c3</IdNetwork>
    <IdentificationsPerFile>1</IdentificationsPerFile>
    <Name>sample string 3</Name>
    <NotifyGrouped>true</NotifyGrouped>
    <SendDeliveryLabel>true</SendDeliveryLabel>
    <SettingExportFiles>sample string 6</SettingExportFiles>
    <TemplateFileName>sample string 9</TemplateFileName>
  </IdentificationsProviderDto>
  <IdentificationsProviderDto>
    <Email>sample string 4</Email>
    <EmailTemplate>sample string 5</EmailTemplate>
    <Id>955b04eb-4cea-47ec-9865-8c6e3003678c</Id>
    <IdNetwork>180e9f95-4614-4855-a54f-1a15051931c3</IdNetwork>
    <IdentificationsPerFile>1</IdentificationsPerFile>
    <Name>sample string 3</Name>
    <NotifyGrouped>true</NotifyGrouped>
    <SendDeliveryLabel>true</SendDeliveryLabel>
    <SettingExportFiles>sample string 6</SettingExportFiles>
    <TemplateFileName>sample string 9</TemplateFileName>
  </IdentificationsProviderDto>
</ArrayOfIdentificationsProviderDto>